LibreOffice LibreOffice 7.2 SDK API Reference

Modules | Variables
FontFamily.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::awt
| Java AWT-like user interface toolkit interface specifications for UNO.

## Constant Groups
constants | com::sun::star::awt::FontFamily
| These values are used to specify the general kind of font.

## Variables
const short | DONTKNOW = 0
| specifies an unknown font family. More...
const short | DECORATIVE = 1
| specifies the family of decorative fonts. More...
const short | MODERN = 2
| specifies the family of modern fonts. More...
const short | ROMAN = 3
| specifies the family roman fonts (with serifs). More...
const short | SCRIPT = 4
| specifies the family of script fonts. More...
const short | SWISS = 5
| specifies the family roman fonts (without serifs). More...
const short | SYSTEM = 6
| specifies the family system fonts. More...